package com.zd.airbottle.service;

import com.zd.airbottle.domain.QpTransportCar;
import com.zd.airbottle.domain.dto.QpTransportCarDto;
import com.zd.airbottle.domain.vo.QpTransportCarVo;

import java.util.List;
import java.util.Map;

/**
 * 运输车辆Service接口
 */
public interface IQpTransportCarService 
{
    /**
     * 查询运输车辆
     * 
     * @param id 运输车辆主键
     * @return 运输车辆
     */
    QpTransportCarVo selectQpTransportCarById(Long id);

    /**
     * 查询运输车辆列表
     * 
     * @param qpTransportCar 运输车辆
     * @return 运输车辆集合
     */
    List<QpTransportCar> selectQpTransportCarList(QpTransportCar qpTransportCar);

    /**
     * 查询运输车辆列表
     *
     * @param transportCar 运输车辆
     * @return 运输车辆集合
     */
    List<QpTransportCarVo> getCarList(QpTransportCar transportCar);

    /**
     * 根据ID查询运输车辆列表
     *
     * @param ids 运输车辆
     * @return 运输车辆集合
     */
    List<QpTransportCar> selectQpTransportCarList(Long[] ids);

    /**
     * 新增运输车辆
     * 
     * @param transportCarDto 运输车辆
     * @return 结果
     */
    int insertQpTransportCar(QpTransportCarDto transportCarDto);

    /**
     * 修改运输车辆
     * 
     * @param qpTransportCar 运输车辆
     * @return 结果
     */
    int updateQpTransportCar(QpTransportCar qpTransportCar);

    /**
     * 批量删除运输车辆
     * 
     * @param ids 需要删除的运输车辆主键集合
     * @return 结果
     */
    int deleteQpTransportCarByIds(Long[] ids);

    /**
     * 删除运输车辆信息
     * 
     * @param id 运输车辆主键
     * @return 结果
     */
    int deleteQpTransportCarById(Long id);

    /**
     * 编辑运输车辆
     *
     * @param transportCarDto 运输车辆
     * @return 结果
     */
    int editQpTransportCar(QpTransportCarDto transportCarDto);

    void setTransportCarCredentialsVos(QpTransportCarVo transportCarVo);

    /**
     * 根据供应商ID集合获取运输人员数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    Map<Long, Integer> getBySupplierIds(List<Long> supplierIds);

    /**
     * 获取审核列表
     * @param transportCar 查询参数
     * @return 结果集
     */
    List<QpTransportCar> checkList(QpTransportCar transportCar);

    /***
     * 查询供应商下的注册车辆
     * @param qpTransportCarVo 参数
     * @return 返回值
     */
    List<QpTransportCar> selectCarList(QpTransportCarVo qpTransportCarVo);

    List<QpTransportCarVo> getListVo(List<QpTransportCar> list);

    List<QpTransportCarVo> getSupplierCarList(QpTransportCar qpTransportCar);
}
